IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network32.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
- Network address
32.0.0.0- Broadcast address
47.255.255.255- First usable
32.0.0.1- Last usable
47.255.255.254- Usable hosts
- 268,435,454 (268,435,456 less the network and broadcast addresses)
- Subnet mask
240.0.0.0- Wildcard mask
15.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /4
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
20000000· Integer536870912to805306367 - Reverse DNS zones
32.in-addr.arpa33.in-addr.arpa34.in-addr.arpa35.in-addr.arpa36.in-addr.arpa37.in-addr.arpa38.in-addr.arpa39.in-addr.arpa40.in-addr.arpa41.in-addr.arpa42.in-addr.arpa43.in-addr.arpa44.in-addr.arpa45.in-addr.arpa46.in-addr.arpa47.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00100000.00000000.00000000.00000000 | 32.0.0.0 |
| Subnet mask | 11110000.00000000.00000000.00000000 | 240.0.0.0 |
| Network | 00100000.00000000.00000000.00000000 | 32.0.0.0 |
| Broadcast | 00101111.11111111.11111111.11111111 | 47.255.255.255 |
Split into smaller subnets
/5 (2)/6 (4)/7 (8)/8 (16)/9 (32)/10 (64)/11 (128)/12 (256)/13 (512)/14 (1,024)/15 (2,048)/16 (4,096)
32.0.0.0/4 makes 256 subnets of /12.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 32.0.0.0/12 | 32.0.0.1 to 32.15.255.254 | 32.15.255.255 | 1,048,574 |
| 2 | 32.16.0.0/12 | 32.16.0.1 to 32.31.255.254 | 32.31.255.255 | 1,048,574 |
| 3 | 32.32.0.0/12 | 32.32.0.1 to 32.47.255.254 | 32.47.255.255 | 1,048,574 |
| 4 | 32.48.0.0/12 | 32.48.0.1 to 32.63.255.254 | 32.63.255.255 | 1,048,574 |
| 5 | 32.64.0.0/12 | 32.64.0.1 to 32.79.255.254 | 32.79.255.255 | 1,048,574 |
| 6 | 32.80.0.0/12 | 32.80.0.1 to 32.95.255.254 | 32.95.255.255 | 1,048,574 |
| 7 | 32.96.0.0/12 | 32.96.0.1 to 32.111.255.254 | 32.111.255.255 | 1,048,574 |
| 8 | 32.112.0.0/12 | 32.112.0.1 to 32.127.255.254 | 32.127.255.255 | 1,048,574 |
| 9 | 32.128.0.0/12 | 32.128.0.1 to 32.143.255.254 | 32.143.255.255 | 1,048,574 |
| 10 | 32.144.0.0/12 | 32.144.0.1 to 32.159.255.254 | 32.159.255.255 | 1,048,574 |
| 11 | 32.160.0.0/12 | 32.160.0.1 to 32.175.255.254 | 32.175.255.255 | 1,048,574 |
| 12 | 32.176.0.0/12 | 32.176.0.1 to 32.191.255.254 | 32.191.255.255 | 1,048,574 |
| 13 | 32.192.0.0/12 | 32.192.0.1 to 32.207.255.254 | 32.207.255.255 | 1,048,574 |
| 14 | 32.208.0.0/12 | 32.208.0.1 to 32.223.255.254 | 32.223.255.255 | 1,048,574 |
| 15 | 32.224.0.0/12 | 32.224.0.1 to 32.239.255.254 | 32.239.255.255 | 1,048,574 |
| 16 | 32.240.0.0/12 | 32.240.0.1 to 32.255.255.254 | 32.255.255.255 | 1,048,574 |
| 17 | 33.0.0.0/12 | 33.0.0.1 to 33.15.255.254 | 33.15.255.255 | 1,048,574 |
| 18 | 33.16.0.0/12 | 33.16.0.1 to 33.31.255.254 | 33.31.255.255 | 1,048,574 |
| 19 | 33.32.0.0/12 | 33.32.0.1 to 33.47.255.254 | 33.47.255.255 | 1,048,574 |
| 20 | 33.48.0.0/12 | 33.48.0.1 to 33.63.255.254 | 33.63.255.255 | 1,048,574 |
| 21 | 33.64.0.0/12 | 33.64.0.1 to 33.79.255.254 | 33.79.255.255 | 1,048,574 |
| 22 | 33.80.0.0/12 | 33.80.0.1 to 33.95.255.254 | 33.95.255.255 | 1,048,574 |
| 23 | 33.96.0.0/12 | 33.96.0.1 to 33.111.255.254 | 33.111.255.255 | 1,048,574 |
| 24 | 33.112.0.0/12 | 33.112.0.1 to 33.127.255.254 | 33.127.255.255 | 1,048,574 |
| 25 | 33.128.0.0/12 | 33.128.0.1 to 33.143.255.254 | 33.143.255.255 | 1,048,574 |
| 26 | 33.144.0.0/12 | 33.144.0.1 to 33.159.255.254 | 33.159.255.255 | 1,048,574 |
| 27 | 33.160.0.0/12 | 33.160.0.1 to 33.175.255.254 | 33.175.255.255 | 1,048,574 |
| 28 | 33.176.0.0/12 | 33.176.0.1 to 33.191.255.254 | 33.191.255.255 | 1,048,574 |
| 29 | 33.192.0.0/12 | 33.192.0.1 to 33.207.255.254 | 33.207.255.255 | 1,048,574 |
| 30 | 33.208.0.0/12 | 33.208.0.1 to 33.223.255.254 | 33.223.255.255 | 1,048,574 |
| 31 | 33.224.0.0/12 | 33.224.0.1 to 33.239.255.254 | 33.239.255.255 | 1,048,574 |
| 32 | 33.240.0.0/12 | 33.240.0.1 to 33.255.255.254 | 33.255.255.255 | 1,048,574 |
| 33 | 34.0.0.0/12 | 34.0.0.1 to 34.15.255.254 | 34.15.255.255 | 1,048,574 |
| 34 | 34.16.0.0/12 | 34.16.0.1 to 34.31.255.254 | 34.31.255.255 | 1,048,574 |
| 35 | 34.32.0.0/12 | 34.32.0.1 to 34.47.255.254 | 34.47.255.255 | 1,048,574 |
| 36 | 34.48.0.0/12 | 34.48.0.1 to 34.63.255.254 | 34.63.255.255 | 1,048,574 |
| 37 | 34.64.0.0/12 | 34.64.0.1 to 34.79.255.254 | 34.79.255.255 | 1,048,574 |
| 38 | 34.80.0.0/12 | 34.80.0.1 to 34.95.255.254 | 34.95.255.255 | 1,048,574 |
| 39 | 34.96.0.0/12 | 34.96.0.1 to 34.111.255.254 | 34.111.255.255 | 1,048,574 |
| 40 | 34.112.0.0/12 | 34.112.0.1 to 34.127.255.254 | 34.127.255.255 | 1,048,574 |
| 41 | 34.128.0.0/12 | 34.128.0.1 to 34.143.255.254 | 34.143.255.255 | 1,048,574 |
| 42 | 34.144.0.0/12 | 34.144.0.1 to 34.159.255.254 | 34.159.255.255 | 1,048,574 |
| 43 | 34.160.0.0/12 | 34.160.0.1 to 34.175.255.254 | 34.175.255.255 | 1,048,574 |
| 44 | 34.176.0.0/12 | 34.176.0.1 to 34.191.255.254 | 34.191.255.255 | 1,048,574 |
| 45 | 34.192.0.0/12 | 34.192.0.1 to 34.207.255.254 | 34.207.255.255 | 1,048,574 |
| 46 | 34.208.0.0/12 | 34.208.0.1 to 34.223.255.254 | 34.223.255.255 | 1,048,574 |
| 47 | 34.224.0.0/12 | 34.224.0.1 to 34.239.255.254 | 34.239.255.255 | 1,048,574 |
| 48 | 34.240.0.0/12 | 34.240.0.1 to 34.255.255.254 | 34.255.255.255 | 1,048,574 |
| 49 | 35.0.0.0/12 | 35.0.0.1 to 35.15.255.254 | 35.15.255.255 | 1,048,574 |
| 50 | 35.16.0.0/12 | 35.16.0.1 to 35.31.255.254 | 35.31.255.255 | 1,048,574 |
| 51 | 35.32.0.0/12 | 35.32.0.1 to 35.47.255.254 | 35.47.255.255 | 1,048,574 |
| 52 | 35.48.0.0/12 | 35.48.0.1 to 35.63.255.254 | 35.63.255.255 | 1,048,574 |
| 53 | 35.64.0.0/12 | 35.64.0.1 to 35.79.255.254 | 35.79.255.255 | 1,048,574 |
| 54 | 35.80.0.0/12 | 35.80.0.1 to 35.95.255.254 | 35.95.255.255 | 1,048,574 |
| 55 | 35.96.0.0/12 | 35.96.0.1 to 35.111.255.254 | 35.111.255.255 | 1,048,574 |
| 56 | 35.112.0.0/12 | 35.112.0.1 to 35.127.255.254 | 35.127.255.255 | 1,048,574 |
| 57 | 35.128.0.0/12 | 35.128.0.1 to 35.143.255.254 | 35.143.255.255 | 1,048,574 |
| 58 | 35.144.0.0/12 | 35.144.0.1 to 35.159.255.254 | 35.159.255.255 | 1,048,574 |
| 59 | 35.160.0.0/12 | 35.160.0.1 to 35.175.255.254 | 35.175.255.255 | 1,048,574 |
| 60 | 35.176.0.0/12 | 35.176.0.1 to 35.191.255.254 | 35.191.255.255 | 1,048,574 |
| 61 | 35.192.0.0/12 | 35.192.0.1 to 35.207.255.254 | 35.207.255.255 | 1,048,574 |
| 62 | 35.208.0.0/12 | 35.208.0.1 to 35.223.255.254 | 35.223.255.255 | 1,048,574 |
| 63 | 35.224.0.0/12 | 35.224.0.1 to 35.239.255.254 | 35.239.255.255 | 1,048,574 |
| 64 | 35.240.0.0/12 | 35.240.0.1 to 35.255.255.254 | 35.255.255.255 | 1,048,574 |
| 65 | 36.0.0.0/12 | 36.0.0.1 to 36.15.255.254 | 36.15.255.255 | 1,048,574 |
| 66 | 36.16.0.0/12 | 36.16.0.1 to 36.31.255.254 | 36.31.255.255 | 1,048,574 |
| 67 | 36.32.0.0/12 | 36.32.0.1 to 36.47.255.254 | 36.47.255.255 | 1,048,574 |
| 68 | 36.48.0.0/12 | 36.48.0.1 to 36.63.255.254 | 36.63.255.255 | 1,048,574 |
| 69 | 36.64.0.0/12 | 36.64.0.1 to 36.79.255.254 | 36.79.255.255 | 1,048,574 |
| 70 | 36.80.0.0/12 | 36.80.0.1 to 36.95.255.254 | 36.95.255.255 | 1,048,574 |
| 71 | 36.96.0.0/12 | 36.96.0.1 to 36.111.255.254 | 36.111.255.255 | 1,048,574 |
| 72 | 36.112.0.0/12 | 36.112.0.1 to 36.127.255.254 | 36.127.255.255 | 1,048,574 |
| 73 | 36.128.0.0/12 | 36.128.0.1 to 36.143.255.254 | 36.143.255.255 | 1,048,574 |
| 74 | 36.144.0.0/12 | 36.144.0.1 to 36.159.255.254 | 36.159.255.255 | 1,048,574 |
| 75 | 36.160.0.0/12 | 36.160.0.1 to 36.175.255.254 | 36.175.255.255 | 1,048,574 |
| 76 | 36.176.0.0/12 | 36.176.0.1 to 36.191.255.254 | 36.191.255.255 | 1,048,574 |
| 77 | 36.192.0.0/12 | 36.192.0.1 to 36.207.255.254 | 36.207.255.255 | 1,048,574 |
| 78 | 36.208.0.0/12 | 36.208.0.1 to 36.223.255.254 | 36.223.255.255 | 1,048,574 |
| 79 | 36.224.0.0/12 | 36.224.0.1 to 36.239.255.254 | 36.239.255.255 | 1,048,574 |
| 80 | 36.240.0.0/12 | 36.240.0.1 to 36.255.255.254 | 36.255.255.255 | 1,048,574 |
| 81 | 37.0.0.0/12 | 37.0.0.1 to 37.15.255.254 | 37.15.255.255 | 1,048,574 |
| 82 | 37.16.0.0/12 | 37.16.0.1 to 37.31.255.254 | 37.31.255.255 | 1,048,574 |
| 83 | 37.32.0.0/12 | 37.32.0.1 to 37.47.255.254 | 37.47.255.255 | 1,048,574 |
| 84 | 37.48.0.0/12 | 37.48.0.1 to 37.63.255.254 | 37.63.255.255 | 1,048,574 |
| 85 | 37.64.0.0/12 | 37.64.0.1 to 37.79.255.254 | 37.79.255.255 | 1,048,574 |
| 86 | 37.80.0.0/12 | 37.80.0.1 to 37.95.255.254 | 37.95.255.255 | 1,048,574 |
| 87 | 37.96.0.0/12 | 37.96.0.1 to 37.111.255.254 | 37.111.255.255 | 1,048,574 |
| 88 | 37.112.0.0/12 | 37.112.0.1 to 37.127.255.254 | 37.127.255.255 | 1,048,574 |
| 89 | 37.128.0.0/12 | 37.128.0.1 to 37.143.255.254 | 37.143.255.255 | 1,048,574 |
| 90 | 37.144.0.0/12 | 37.144.0.1 to 37.159.255.254 | 37.159.255.255 | 1,048,574 |
| 91 | 37.160.0.0/12 | 37.160.0.1 to 37.175.255.254 | 37.175.255.255 | 1,048,574 |
| 92 | 37.176.0.0/12 | 37.176.0.1 to 37.191.255.254 | 37.191.255.255 | 1,048,574 |
| 93 | 37.192.0.0/12 | 37.192.0.1 to 37.207.255.254 | 37.207.255.255 | 1,048,574 |
| 94 | 37.208.0.0/12 | 37.208.0.1 to 37.223.255.254 | 37.223.255.255 | 1,048,574 |
| 95 | 37.224.0.0/12 | 37.224.0.1 to 37.239.255.254 | 37.239.255.255 | 1,048,574 |
| 96 | 37.240.0.0/12 | 37.240.0.1 to 37.255.255.254 | 37.255.255.255 | 1,048,574 |
| 97 | 38.0.0.0/12 | 38.0.0.1 to 38.15.255.254 | 38.15.255.255 | 1,048,574 |
| 98 | 38.16.0.0/12 | 38.16.0.1 to 38.31.255.254 | 38.31.255.255 | 1,048,574 |
| 99 | 38.32.0.0/12 | 38.32.0.1 to 38.47.255.254 | 38.47.255.255 | 1,048,574 |
| 100 | 38.48.0.0/12 | 38.48.0.1 to 38.63.255.254 | 38.63.255.255 | 1,048,574 |
| 101 | 38.64.0.0/12 | 38.64.0.1 to 38.79.255.254 | 38.79.255.255 | 1,048,574 |
| 102 | 38.80.0.0/12 | 38.80.0.1 to 38.95.255.254 | 38.95.255.255 | 1,048,574 |
| 103 | 38.96.0.0/12 | 38.96.0.1 to 38.111.255.254 | 38.111.255.255 | 1,048,574 |
| 104 | 38.112.0.0/12 | 38.112.0.1 to 38.127.255.254 | 38.127.255.255 | 1,048,574 |
| 105 | 38.128.0.0/12 | 38.128.0.1 to 38.143.255.254 | 38.143.255.255 | 1,048,574 |
| 106 | 38.144.0.0/12 | 38.144.0.1 to 38.159.255.254 | 38.159.255.255 | 1,048,574 |
| 107 | 38.160.0.0/12 | 38.160.0.1 to 38.175.255.254 | 38.175.255.255 | 1,048,574 |
| 108 | 38.176.0.0/12 | 38.176.0.1 to 38.191.255.254 | 38.191.255.255 | 1,048,574 |
| 109 | 38.192.0.0/12 | 38.192.0.1 to 38.207.255.254 | 38.207.255.255 | 1,048,574 |
| 110 | 38.208.0.0/12 | 38.208.0.1 to 38.223.255.254 | 38.223.255.255 | 1,048,574 |
| 111 | 38.224.0.0/12 | 38.224.0.1 to 38.239.255.254 | 38.239.255.255 | 1,048,574 |
| 112 | 38.240.0.0/12 | 38.240.0.1 to 38.255.255.254 | 38.255.255.255 | 1,048,574 |
| 113 | 39.0.0.0/12 | 39.0.0.1 to 39.15.255.254 | 39.15.255.255 | 1,048,574 |
| 114 | 39.16.0.0/12 | 39.16.0.1 to 39.31.255.254 | 39.31.255.255 | 1,048,574 |
| 115 | 39.32.0.0/12 | 39.32.0.1 to 39.47.255.254 | 39.47.255.255 | 1,048,574 |
| 116 | 39.48.0.0/12 | 39.48.0.1 to 39.63.255.254 | 39.63.255.255 | 1,048,574 |
| 117 | 39.64.0.0/12 | 39.64.0.1 to 39.79.255.254 | 39.79.255.255 | 1,048,574 |
| 118 | 39.80.0.0/12 | 39.80.0.1 to 39.95.255.254 | 39.95.255.255 | 1,048,574 |
| 119 | 39.96.0.0/12 | 39.96.0.1 to 39.111.255.254 | 39.111.255.255 | 1,048,574 |
| 120 | 39.112.0.0/12 | 39.112.0.1 to 39.127.255.254 | 39.127.255.255 | 1,048,574 |
| 121 | 39.128.0.0/12 | 39.128.0.1 to 39.143.255.254 | 39.143.255.255 | 1,048,574 |
| 122 | 39.144.0.0/12 | 39.144.0.1 to 39.159.255.254 | 39.159.255.255 | 1,048,574 |
| 123 | 39.160.0.0/12 | 39.160.0.1 to 39.175.255.254 | 39.175.255.255 | 1,048,574 |
| 124 | 39.176.0.0/12 | 39.176.0.1 to 39.191.255.254 | 39.191.255.255 | 1,048,574 |
| 125 | 39.192.0.0/12 | 39.192.0.1 to 39.207.255.254 | 39.207.255.255 | 1,048,574 |
| 126 | 39.208.0.0/12 | 39.208.0.1 to 39.223.255.254 | 39.223.255.255 | 1,048,574 |
| 127 | 39.224.0.0/12 | 39.224.0.1 to 39.239.255.254 | 39.239.255.255 | 1,048,574 |
| 128 | 39.240.0.0/12 | 39.240.0.1 to 39.255.255.254 | 39.255.255.255 | 1,048,574 |
| 129 | 40.0.0.0/12 | 40.0.0.1 to 40.15.255.254 | 40.15.255.255 | 1,048,574 |
| 130 | 40.16.0.0/12 | 40.16.0.1 to 40.31.255.254 | 40.31.255.255 | 1,048,574 |
| 131 | 40.32.0.0/12 | 40.32.0.1 to 40.47.255.254 | 40.47.255.255 | 1,048,574 |
| 132 | 40.48.0.0/12 | 40.48.0.1 to 40.63.255.254 | 40.63.255.255 | 1,048,574 |
| 133 | 40.64.0.0/12 | 40.64.0.1 to 40.79.255.254 | 40.79.255.255 | 1,048,574 |
| 134 | 40.80.0.0/12 | 40.80.0.1 to 40.95.255.254 | 40.95.255.255 | 1,048,574 |
| 135 | 40.96.0.0/12 | 40.96.0.1 to 40.111.255.254 | 40.111.255.255 | 1,048,574 |
| 136 | 40.112.0.0/12 | 40.112.0.1 to 40.127.255.254 | 40.127.255.255 | 1,048,574 |
| 137 | 40.128.0.0/12 | 40.128.0.1 to 40.143.255.254 | 40.143.255.255 | 1,048,574 |
| 138 | 40.144.0.0/12 | 40.144.0.1 to 40.159.255.254 | 40.159.255.255 | 1,048,574 |
| 139 | 40.160.0.0/12 | 40.160.0.1 to 40.175.255.254 | 40.175.255.255 | 1,048,574 |
| 140 | 40.176.0.0/12 | 40.176.0.1 to 40.191.255.254 | 40.191.255.255 | 1,048,574 |
| 141 | 40.192.0.0/12 | 40.192.0.1 to 40.207.255.254 | 40.207.255.255 | 1,048,574 |
| 142 | 40.208.0.0/12 | 40.208.0.1 to 40.223.255.254 | 40.223.255.255 | 1,048,574 |
| 143 | 40.224.0.0/12 | 40.224.0.1 to 40.239.255.254 | 40.239.255.255 | 1,048,574 |
| 144 | 40.240.0.0/12 | 40.240.0.1 to 40.255.255.254 | 40.255.255.255 | 1,048,574 |
| 145 | 41.0.0.0/12 | 41.0.0.1 to 41.15.255.254 | 41.15.255.255 | 1,048,574 |
| 146 | 41.16.0.0/12 | 41.16.0.1 to 41.31.255.254 | 41.31.255.255 | 1,048,574 |
| 147 | 41.32.0.0/12 | 41.32.0.1 to 41.47.255.254 | 41.47.255.255 | 1,048,574 |
| 148 | 41.48.0.0/12 | 41.48.0.1 to 41.63.255.254 | 41.63.255.255 | 1,048,574 |
| 149 | 41.64.0.0/12 | 41.64.0.1 to 41.79.255.254 | 41.79.255.255 | 1,048,574 |
| 150 | 41.80.0.0/12 | 41.80.0.1 to 41.95.255.254 | 41.95.255.255 | 1,048,574 |
| 151 | 41.96.0.0/12 | 41.96.0.1 to 41.111.255.254 | 41.111.255.255 | 1,048,574 |
| 152 | 41.112.0.0/12 | 41.112.0.1 to 41.127.255.254 | 41.127.255.255 | 1,048,574 |
| 153 | 41.128.0.0/12 | 41.128.0.1 to 41.143.255.254 | 41.143.255.255 | 1,048,574 |
| 154 | 41.144.0.0/12 | 41.144.0.1 to 41.159.255.254 | 41.159.255.255 | 1,048,574 |
| 155 | 41.160.0.0/12 | 41.160.0.1 to 41.175.255.254 | 41.175.255.255 | 1,048,574 |
| 156 | 41.176.0.0/12 | 41.176.0.1 to 41.191.255.254 | 41.191.255.255 | 1,048,574 |
| 157 | 41.192.0.0/12 | 41.192.0.1 to 41.207.255.254 | 41.207.255.255 | 1,048,574 |
| 158 | 41.208.0.0/12 | 41.208.0.1 to 41.223.255.254 | 41.223.255.255 | 1,048,574 |
| 159 | 41.224.0.0/12 | 41.224.0.1 to 41.239.255.254 | 41.239.255.255 | 1,048,574 |
| 160 | 41.240.0.0/12 | 41.240.0.1 to 41.255.255.254 | 41.255.255.255 | 1,048,574 |
| 161 | 42.0.0.0/12 | 42.0.0.1 to 42.15.255.254 | 42.15.255.255 | 1,048,574 |
| 162 | 42.16.0.0/12 | 42.16.0.1 to 42.31.255.254 | 42.31.255.255 | 1,048,574 |
| 163 | 42.32.0.0/12 | 42.32.0.1 to 42.47.255.254 | 42.47.255.255 | 1,048,574 |
| 164 | 42.48.0.0/12 | 42.48.0.1 to 42.63.255.254 | 42.63.255.255 | 1,048,574 |
| 165 | 42.64.0.0/12 | 42.64.0.1 to 42.79.255.254 | 42.79.255.255 | 1,048,574 |
| 166 | 42.80.0.0/12 | 42.80.0.1 to 42.95.255.254 | 42.95.255.255 | 1,048,574 |
| 167 | 42.96.0.0/12 | 42.96.0.1 to 42.111.255.254 | 42.111.255.255 | 1,048,574 |
| 168 | 42.112.0.0/12 | 42.112.0.1 to 42.127.255.254 | 42.127.255.255 | 1,048,574 |
| 169 | 42.128.0.0/12 | 42.128.0.1 to 42.143.255.254 | 42.143.255.255 | 1,048,574 |
| 170 | 42.144.0.0/12 | 42.144.0.1 to 42.159.255.254 | 42.159.255.255 | 1,048,574 |
| 171 | 42.160.0.0/12 | 42.160.0.1 to 42.175.255.254 | 42.175.255.255 | 1,048,574 |
| 172 | 42.176.0.0/12 | 42.176.0.1 to 42.191.255.254 | 42.191.255.255 | 1,048,574 |
| 173 | 42.192.0.0/12 | 42.192.0.1 to 42.207.255.254 | 42.207.255.255 | 1,048,574 |
| 174 | 42.208.0.0/12 | 42.208.0.1 to 42.223.255.254 | 42.223.255.255 | 1,048,574 |
| 175 | 42.224.0.0/12 | 42.224.0.1 to 42.239.255.254 | 42.239.255.255 | 1,048,574 |
| 176 | 42.240.0.0/12 | 42.240.0.1 to 42.255.255.254 | 42.255.255.255 | 1,048,574 |
| 177 | 43.0.0.0/12 | 43.0.0.1 to 43.15.255.254 | 43.15.255.255 | 1,048,574 |
| 178 | 43.16.0.0/12 | 43.16.0.1 to 43.31.255.254 | 43.31.255.255 | 1,048,574 |
| 179 | 43.32.0.0/12 | 43.32.0.1 to 43.47.255.254 | 43.47.255.255 | 1,048,574 |
| 180 | 43.48.0.0/12 | 43.48.0.1 to 43.63.255.254 | 43.63.255.255 | 1,048,574 |
| 181 | 43.64.0.0/12 | 43.64.0.1 to 43.79.255.254 | 43.79.255.255 | 1,048,574 |
| 182 | 43.80.0.0/12 | 43.80.0.1 to 43.95.255.254 | 43.95.255.255 | 1,048,574 |
| 183 | 43.96.0.0/12 | 43.96.0.1 to 43.111.255.254 | 43.111.255.255 | 1,048,574 |
| 184 | 43.112.0.0/12 | 43.112.0.1 to 43.127.255.254 | 43.127.255.255 | 1,048,574 |
| 185 | 43.128.0.0/12 | 43.128.0.1 to 43.143.255.254 | 43.143.255.255 | 1,048,574 |
| 186 | 43.144.0.0/12 | 43.144.0.1 to 43.159.255.254 | 43.159.255.255 | 1,048,574 |
| 187 | 43.160.0.0/12 | 43.160.0.1 to 43.175.255.254 | 43.175.255.255 | 1,048,574 |
| 188 | 43.176.0.0/12 | 43.176.0.1 to 43.191.255.254 | 43.191.255.255 | 1,048,574 |
| 189 | 43.192.0.0/12 | 43.192.0.1 to 43.207.255.254 | 43.207.255.255 | 1,048,574 |
| 190 | 43.208.0.0/12 | 43.208.0.1 to 43.223.255.254 | 43.223.255.255 | 1,048,574 |
| 191 | 43.224.0.0/12 | 43.224.0.1 to 43.239.255.254 | 43.239.255.255 | 1,048,574 |
| 192 | 43.240.0.0/12 | 43.240.0.1 to 43.255.255.254 | 43.255.255.255 | 1,048,574 |
| 193 | 44.0.0.0/12 | 44.0.0.1 to 44.15.255.254 | 44.15.255.255 | 1,048,574 |
| 194 | 44.16.0.0/12 | 44.16.0.1 to 44.31.255.254 | 44.31.255.255 | 1,048,574 |
| 195 | 44.32.0.0/12 | 44.32.0.1 to 44.47.255.254 | 44.47.255.255 | 1,048,574 |
| 196 | 44.48.0.0/12 | 44.48.0.1 to 44.63.255.254 | 44.63.255.255 | 1,048,574 |
| 197 | 44.64.0.0/12 | 44.64.0.1 to 44.79.255.254 | 44.79.255.255 | 1,048,574 |
| 198 | 44.80.0.0/12 | 44.80.0.1 to 44.95.255.254 | 44.95.255.255 | 1,048,574 |
| 199 | 44.96.0.0/12 | 44.96.0.1 to 44.111.255.254 | 44.111.255.255 | 1,048,574 |
| 200 | 44.112.0.0/12 | 44.112.0.1 to 44.127.255.254 | 44.127.255.255 | 1,048,574 |
| 201 | 44.128.0.0/12 | 44.128.0.1 to 44.143.255.254 | 44.143.255.255 | 1,048,574 |
| 202 | 44.144.0.0/12 | 44.144.0.1 to 44.159.255.254 | 44.159.255.255 | 1,048,574 |
| 203 | 44.160.0.0/12 | 44.160.0.1 to 44.175.255.254 | 44.175.255.255 | 1,048,574 |
| 204 | 44.176.0.0/12 | 44.176.0.1 to 44.191.255.254 | 44.191.255.255 | 1,048,574 |
| 205 | 44.192.0.0/12 | 44.192.0.1 to 44.207.255.254 | 44.207.255.255 | 1,048,574 |
| 206 | 44.208.0.0/12 | 44.208.0.1 to 44.223.255.254 | 44.223.255.255 | 1,048,574 |
| 207 | 44.224.0.0/12 | 44.224.0.1 to 44.239.255.254 | 44.239.255.255 | 1,048,574 |
| 208 | 44.240.0.0/12 | 44.240.0.1 to 44.255.255.254 | 44.255.255.255 | 1,048,574 |
| 209 | 45.0.0.0/12 | 45.0.0.1 to 45.15.255.254 | 45.15.255.255 | 1,048,574 |
| 210 | 45.16.0.0/12 | 45.16.0.1 to 45.31.255.254 | 45.31.255.255 | 1,048,574 |
| 211 | 45.32.0.0/12 | 45.32.0.1 to 45.47.255.254 | 45.47.255.255 | 1,048,574 |
| 212 | 45.48.0.0/12 | 45.48.0.1 to 45.63.255.254 | 45.63.255.255 | 1,048,574 |
| 213 | 45.64.0.0/12 | 45.64.0.1 to 45.79.255.254 | 45.79.255.255 | 1,048,574 |
| 214 | 45.80.0.0/12 | 45.80.0.1 to 45.95.255.254 | 45.95.255.255 | 1,048,574 |
| 215 | 45.96.0.0/12 | 45.96.0.1 to 45.111.255.254 | 45.111.255.255 | 1,048,574 |
| 216 | 45.112.0.0/12 | 45.112.0.1 to 45.127.255.254 | 45.127.255.255 | 1,048,574 |
| 217 | 45.128.0.0/12 | 45.128.0.1 to 45.143.255.254 | 45.143.255.255 | 1,048,574 |
| 218 | 45.144.0.0/12 | 45.144.0.1 to 45.159.255.254 | 45.159.255.255 | 1,048,574 |
| 219 | 45.160.0.0/12 | 45.160.0.1 to 45.175.255.254 | 45.175.255.255 | 1,048,574 |
| 220 | 45.176.0.0/12 | 45.176.0.1 to 45.191.255.254 | 45.191.255.255 | 1,048,574 |
| 221 | 45.192.0.0/12 | 45.192.0.1 to 45.207.255.254 | 45.207.255.255 | 1,048,574 |
| 222 | 45.208.0.0/12 | 45.208.0.1 to 45.223.255.254 | 45.223.255.255 | 1,048,574 |
| 223 | 45.224.0.0/12 | 45.224.0.1 to 45.239.255.254 | 45.239.255.255 | 1,048,574 |
| 224 | 45.240.0.0/12 | 45.240.0.1 to 45.255.255.254 | 45.255.255.255 | 1,048,574 |
| 225 | 46.0.0.0/12 | 46.0.0.1 to 46.15.255.254 | 46.15.255.255 | 1,048,574 |
| 226 | 46.16.0.0/12 | 46.16.0.1 to 46.31.255.254 | 46.31.255.255 | 1,048,574 |
| 227 | 46.32.0.0/12 | 46.32.0.1 to 46.47.255.254 | 46.47.255.255 | 1,048,574 |
| 228 | 46.48.0.0/12 | 46.48.0.1 to 46.63.255.254 | 46.63.255.255 | 1,048,574 |
| 229 | 46.64.0.0/12 | 46.64.0.1 to 46.79.255.254 | 46.79.255.255 | 1,048,574 |
| 230 | 46.80.0.0/12 | 46.80.0.1 to 46.95.255.254 | 46.95.255.255 | 1,048,574 |
| 231 | 46.96.0.0/12 | 46.96.0.1 to 46.111.255.254 | 46.111.255.255 | 1,048,574 |
| 232 | 46.112.0.0/12 | 46.112.0.1 to 46.127.255.254 | 46.127.255.255 | 1,048,574 |
| 233 | 46.128.0.0/12 | 46.128.0.1 to 46.143.255.254 | 46.143.255.255 | 1,048,574 |
| 234 | 46.144.0.0/12 | 46.144.0.1 to 46.159.255.254 | 46.159.255.255 | 1,048,574 |
| 235 | 46.160.0.0/12 | 46.160.0.1 to 46.175.255.254 | 46.175.255.255 | 1,048,574 |
| 236 | 46.176.0.0/12 | 46.176.0.1 to 46.191.255.254 | 46.191.255.255 | 1,048,574 |
| 237 | 46.192.0.0/12 | 46.192.0.1 to 46.207.255.254 | 46.207.255.255 | 1,048,574 |
| 238 | 46.208.0.0/12 | 46.208.0.1 to 46.223.255.254 | 46.223.255.255 | 1,048,574 |
| 239 | 46.224.0.0/12 | 46.224.0.1 to 46.239.255.254 | 46.239.255.255 | 1,048,574 |
| 240 | 46.240.0.0/12 | 46.240.0.1 to 46.255.255.254 | 46.255.255.255 | 1,048,574 |
| 241 | 47.0.0.0/12 | 47.0.0.1 to 47.15.255.254 | 47.15.255.255 | 1,048,574 |
| 242 | 47.16.0.0/12 | 47.16.0.1 to 47.31.255.254 | 47.31.255.255 | 1,048,574 |
| 243 | 47.32.0.0/12 | 47.32.0.1 to 47.47.255.254 | 47.47.255.255 | 1,048,574 |
| 244 | 47.48.0.0/12 | 47.48.0.1 to 47.63.255.254 | 47.63.255.255 | 1,048,574 |
| 245 | 47.64.0.0/12 | 47.64.0.1 to 47.79.255.254 | 47.79.255.255 | 1,048,574 |
| 246 | 47.80.0.0/12 | 47.80.0.1 to 47.95.255.254 | 47.95.255.255 | 1,048,574 |
| 247 | 47.96.0.0/12 | 47.96.0.1 to 47.111.255.254 | 47.111.255.255 | 1,048,574 |
| 248 | 47.112.0.0/12 | 47.112.0.1 to 47.127.255.254 | 47.127.255.255 | 1,048,574 |
| 249 | 47.128.0.0/12 | 47.128.0.1 to 47.143.255.254 | 47.143.255.255 | 1,048,574 |
| 250 | 47.144.0.0/12 | 47.144.0.1 to 47.159.255.254 | 47.159.255.255 | 1,048,574 |
| 251 | 47.160.0.0/12 | 47.160.0.1 to 47.175.255.254 | 47.175.255.255 | 1,048,574 |
| 252 | 47.176.0.0/12 | 47.176.0.1 to 47.191.255.254 | 47.191.255.255 | 1,048,574 |
| 253 | 47.192.0.0/12 | 47.192.0.1 to 47.207.255.254 | 47.207.255.255 | 1,048,574 |
| 254 | 47.208.0.0/12 | 47.208.0.1 to 47.223.255.254 | 47.223.255.255 | 1,048,574 |
| 255 | 47.224.0.0/12 | 47.224.0.1 to 47.239.255.254 | 47.239.255.255 | 1,048,574 |
| 256 | 47.240.0.0/12 | 47.240.0.1 to 47.255.255.254 | 47.255.255.255 | 1,048,574 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |